Skip to main content
POST
Create/Replace One
Upload a schema for a single entity. If a schema already exists for a specified entity, it will be replaced by the one you upload.
Metadata merging behaviorIf the new schema is missing metadata properties that are currently set in the existing schema for that entity, those properties will be merged into the new schema. For example, if your current schema has {"metadata": {"com.mixpanel": {"hidden": true}}} and you upload a new schema without “hidden”, we will merge "hidden": true to your uploaded schema’s metadata. If you want to remove that property, set the value to null.
Adding a schema for User ProfilesTo add a schema for your User Profiles, specify the entityType as profile and the name as $user.

Example POST Body

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

entityType
enum<string>
required

The entity type (eg: event)

Available options:
event,
profile
name
string
required

The entity name (eg: Added To Cart)

Body

application/json

The schema for the entity

description
string

The entity description

properties
object

The list of properties that should be included on an instance of this entity

metadata
object

Response

Success

status
enum<string>
Available options:
ok